EndpointsOrder Feedbacks

Order Feedbacks

Function-calling namespace: orderFeedbacks

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/order-feedbacks/create

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
providerOrderIdstringYes-
serviceIdstringYes-
patientIdstringYes-
ratingintegerYesmin: 1; max: 5
reviewstringNo-
imagesarray<string>No-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "orderFeedbacks",
  "apiName": "create",
  "data": {
    "organizationId": "org_123",
    "providerOrderId": "providerorder_123",
    "serviceId": "service_123",
    "patientId": "patient_123",
    "rating": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/order-feedbacks/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "orderFeedbacks",
  "apiName": "getById",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByProviderOrder

Source: backend/endpoints/order-feedbacks/list-by-provider-order

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
providerOrderIdstringYes-
includeDeletedbooleanNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "orderFeedbacks",
  "apiName": "listByProviderOrder",
  "data": {
    "organizationId": "org_123",
    "providerOrderId": "providerorder_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByService

Source: backend/endpoints/order-feedbacks/list-by-service

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
serviceIdstringYes-
includeDeletedbooleanNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "orderFeedbacks",
  "apiName": "listByService",
  "data": {
    "organizationId": "org_123",
    "serviceId": "service_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

softDelete

Source: backend/endpoints/order-feedbacks/soft-delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "orderFeedbacks",
  "apiName": "softDelete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/order-feedbacks/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
providerOrderIdstringYes-
serviceIdstringYes-
patientIdstringYes-
ratingintegerYesmin: 1; max: 5
reviewstringNo-
imagesarray<string>No-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "orderFeedbacks",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123",
    "providerOrderId": "providerorder_123",
    "serviceId": "service_123",
    "patientId": "patient_123",
    "rating": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }